Browse Source

Another go at using latest Olm

The previous attempt failed due to npm shenanigans. Let's have another go,
without the "help" of npm.
wmwragg/chat-invite-dialog-fix
Richard van der Hoff 5 years ago
parent
commit
835d13c696
  1. 7
      jenkins.sh

7
jenkins.sh

@ -13,8 +13,11 @@ npm install
# apparently npm 3.10.3 on node 6.4.0 doesn't upgrade #develop target with npm install unless explicitly asked.
npm install matrix-react-sdk matrix-js-sdk
# install olm
npm install ./olm/olm-*.tgz
# install olm. A naive 'npm i ./olm/olm-*.tgz' fails because it uses the url
# from our package.json (or even matrix-js-sdk's) in preference.
tar -C olm -xz < olm/olm-*.tgz
rm -r node_modules/olm
cp -r olm/package node_modules/olm
# we may be using a dev branch of react-sdk, in which case we need to build it
(cd node_modules/matrix-react-sdk && npm run build)

Loading…
Cancel
Save